Skip to main content
PATCH
Update an API endpoint

Authorizations

Authorization
string
header
required

A ManyPI API key (mpi_...) from the profile menu → API Access in the dashboard, or an OAuth 2.1 access token obtained through the MCP consent flow.

Path Parameters

id
string<uuid>
required

Body

application/json
name
string
Required string length: 1 - 120
description
string | null
Maximum string length: 2000
method
enum<string>
Available options:
GET,
POST
param_schema
object | null
output_schema
object | null
freshness
enum<string>
Available options:
cached_ok,
always_fresh
cache_ttl_seconds
integer
Required range: 0 <= x <= 604800
mode
enum<string>
Available options:
sync,
async
is_active
boolean

false takes the endpoint offline: calls to its URL return 404 until it is turned back on.

Response

The updated endpoint.

id
string<uuid>
slug
string
name
string
description
string | null
method
enum<string>
Available options:
GET,
POST
scraper_id
string<uuid>
param_schema
object | null
output_schema
object | null
freshness
enum<string>
Available options:
cached_ok,
always_fresh
cache_ttl_seconds
integer
mode
enum<string>
Available options:
sync,
async
created_at
string<date-time>